use `qc`;

DROP TABLE IF EXISTS `qc_abnormal`;
CREATE TABLE `qc_abnormal` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `is_deleted` char(1) NOT NULL DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(20) NOT NULL DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(20) NOT NULL DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  `hospital_id` bigint(20) NOT NULL DEFAULT '0' COMMENT '医院ID',
  `behospital_code` varchar(16) NOT NULL DEFAULT '' COMMENT '病人住院ID',
  `type` int(11) NOT NULL DEFAULT '1' COMMENT '异常类型(1:数据模块 2：质控类型 3：XML结构)',
  `description` varchar(255) NOT NULL DEFAULT '' COMMENT '异常描述',
  `status` int(11) NOT NULL DEFAULT '0' COMMENT '状态(0:未处理，1：已处理)',
  `remark` varchar(255) NOT NULL DEFAULT '' COMMENT '备注',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='异常数据监控信息';